> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/d1-v1-api/ja/d1-v1-apirifarensu/akaunto/deprecated.md).

# Deprecated

Deprecated APIs

## Register account

> \> Please check with Thales integration team before using this API request.\
> This request is used by the issuer backend to register an account.

```json
{"openapi":"3.0.0","info":{"title":"Inbound Account API","version":"1.0"},"tags":[{"name":"Deprecated","description":"Deprecated APIs"}],"servers":[{"url":"https://api.d1.thalescloud.io/banking/v1","description":"Production server"},{"url":"https://api.d1-stg.thalescloud.io/banking/v1","description":"Staging server"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"A JWT generated by the [Get Authorization Token API](oauth2-api).<br/>The server checks the validity of the provided token to control access to this protected resource. Please refer to [Get OAuth 2.0 access token](../../../integrate-the-d1-api/get-oauth-2.0-access-token) for more details on the flow and on how to get this JWT.","type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"consumerId":{"type":"string","description":"Unique identifier of the end user. ","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"},"accountProductId":{"type":"string","description":"RFU - Unique identifier of the type of account","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"},"errorGeneric":{"type":"object","description":"Generic error returned by the APIs.","properties":{"error":{"type":"string","description":"Description of the error.<br/>This field is for troubleshooting purposes only, it can change at any time so MUST NOT be parsed, and is not supposed to be human readable so CANNOT be displayed to end users."}}}},"responses":{"BadRequest":{"description":"Bad Request, Invalid request URI or header, or unsupported non-standard parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"Unauthorized":{"description":"The provided Authorization header is missing or invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"InternalServerError":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}}}},"paths":{"/issuers/{issuerId}/accounts/{accountId}":{"put":{"description":"> Please check with Thales integration team before using this API request.\nThis request is used by the issuer backend to register an account.","tags":["Deprecated"],"deprecated":true,"requestBody":{"content":{"application/json":{"schema":{"description":"The following object represents the account","type":"object","properties":{"consumerId":{"$ref":"#/components/schemas/consumerId"},"accountProductId":{"$ref":"#/components/schemas/accountProductId"},"state":{"description":"the state of the account","type":"string","enum":["INACTIVE","ACTIVE"]}},"required":["consumerId","state"]}}}},"responses":{"204":{"description":"Successful account registration"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"description":"Forbidden action, check the state of the linked end user (consumer)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"404":{"description":"Account not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"500":{"$ref":"#/components/responses/InternalServerError"}},"summary":"Register account","operationId":"registerAccount"}}}}
```

## Delete

> \> Please check with Thales integration team before using this API request.\
> This request is used by the core banking system to delete an account.

```json
{"openapi":"3.0.0","info":{"title":"Inbound Account API","version":"1.0"},"tags":[{"name":"Deprecated","description":"Deprecated APIs"}],"servers":[{"url":"https://api.d1.thalescloud.io/banking/v1","description":"Production server"},{"url":"https://api.d1-stg.thalescloud.io/banking/v1","description":"Staging server"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"A JWT generated by the [Get Authorization Token API](oauth2-api).<br/>The server checks the validity of the provided token to control access to this protected resource. Please refer to [Get OAuth 2.0 access token](../../../integrate-the-d1-api/get-oauth-2.0-access-token) for more details on the flow and on how to get this JWT.","type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"operationStatusSuccessful":{"title":"operation","type":"object","description":"Operation result information.","properties":{"operationId":{"$ref":"#/components/schemas/operationId"},"status":{"type":"string","description":"Status of the operation","enum":["SUCCESSFUL"]}}},"operationId":{"type":"string","description":"Unique identifier of the operation","minLength":1,"maxLength":64,"pattern":"[A-Za-z0-9_-]{1,64}"},"errorGeneric":{"type":"object","description":"Generic error returned by the APIs.","properties":{"error":{"type":"string","description":"Description of the error.<br/>This field is for troubleshooting purposes only, it can change at any time so MUST NOT be parsed, and is not supposed to be human readable so CANNOT be displayed to end users."}}},"operationStatusFailed":{"title":"operation","type":"object","description":"Operation result information.","properties":{"operationId":{"$ref":"#/components/schemas/operationId"},"status":{"type":"string","description":"Status of the operation","enum":["FAILED"]}}},"reason":{"type":"string","title":"reason","pattern":"^[a-zA-Z0-9 ]{1,64}$","description":"The reason why the action is performed.\n\nThis a free text field in case the Issuer wants to send details, that will be returned in the operations list."},"reasonCode":{"type":"string","title":"reasonCode","enum":["USER_DECISION","ISSUER_DECISION","DEVICE_LOST","DEVICE_STOLEN","CARD_LOST","CARD_STOLEN","CARD_BROKEN"],"description":"The reason code why the action is performed.\n\nIf not provided, default reason code is ISSUER_DECISION."}},"responses":{"OperationsInternalServerError":{"description":"Internal Server Error","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/operationStatusFailed"},{"$ref":"#/components/schemas/errorGeneric"}]}}}}},"parameters":{}},"paths":{"/issuers/{issuerId}/accounts/{accountId}/operations:delete":{"post":{"summary":"Delete","operationId":"deleteAccount","deprecated":true,"responses":{"200":{"description":"Account deleted successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/operationStatusSuccessful"}}}},"400":{"description":"Bad Request, Invalid request URI or header, or unsupported nonstandard parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"401":{"description":"The provided Authorization header is missing or invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"500":{"$ref":"#/components/responses/OperationsInternalServerError"}},"description":"> Please check with Thales integration team before using this API request.\nThis request is used by the core banking system to delete an account.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"reason":{"$ref":"#/components/schemas/reason"},"reasonCode":{"$ref":"#/components/schemas/reasonCode"}}}}}},"parameters":[{"$ref":"#/components/parameters/x-correlation-id"}],"tags":["Deprecated"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/d1-v1-api/ja/d1-v1-apirifarensu/akaunto/deprecated.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
